Github messages for voidlinux
 help / color / Atom feed
* [PR PATCH] [WIP] wireguard-dkms: Attempt to prevent install on linux>=5.6
@ 2020-07-30  1:05 cinerea0
  2020-07-30  1:24 ` ericonr
                   ` (6 more replies)
  0 siblings, 7 replies; 8+ messages in thread
From: cinerea0 @ 2020-07-30  1:05 UTC (permalink / raw)
  To: ml


[-- Attachment #1: Type: text/plain, Size: 738 bytes --]

There is a new pull request by cinerea0 against master on the void-packages repository

https://github.com/cinerea0/void-packages wireguard
https://github.com/void-linux/void-packages/pull/23937

[WIP] wireguard-dkms: Attempt to prevent install on linux>=5.6
In [a recent issue I opened](https://github.com/void-linux/void-packages/issues/23790), I brought up that it was confusing whether or not wireguard-dkms was needed. The package's description now states that it's only for kernel versions 5.5 and lower, but I'd like to outright prevent someone from trying to install it on a kernel where it's not necessary. This is my attempt to do that.

A patch file from https://github.com/void-linux/void-packages/pull/23937.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-wireguard-23937.patch --]
[-- Type: text/x-diff, Size: 910 bytes --]

From f020205dfe1d3c8a2c569b1ace7a360c97e51b99 Mon Sep 17 00:00:00 2001
From: cinerea0 <cinerea0@protonmail.com>
Date: Wed, 29 Jul 2020 21:01:03 -0400
Subject: [PATCH] wireguard-dkms: Attempt to prevent install on linux>=5.6

---
 srcpkgs/wireguard-dkms/template | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/srcpkgs/wireguard-dkms/template b/srcpkgs/wireguard-dkms/template
index a21066ff2f5..77b474e0f5c 100644
--- a/srcpkgs/wireguard-dkms/template
+++ b/srcpkgs/wireguard-dkms/template
@@ -1,10 +1,11 @@
 # Template file for 'wireguard-dkms'
 pkgname=wireguard-dkms
 version=1.0.20200729
-revision=1
+revision=2
 wrksrc="wireguard-linux-compat-${version}"
 build_wrksrc="src"
 depends="dkms wireguard-tools perl"
+conflicts="linux>=5.6"
 short_desc="Fast, modern, secure VPN tunnel (DKMS module for Linux <= 5.5)"
 maintainer="Leah Neukirchen <leah@vuxu.org>"
 license="GPL-2.0-only"

^ permalink raw reply	[flat|nested] 8+ messages in thread

* Re: [WIP] wireguard-dkms: Attempt to prevent install on linux>=5.6
  2020-07-30  1:05 [PR PATCH] [WIP] wireguard-dkms: Attempt to prevent install on linux>=5.6 cinerea0
@ 2020-07-30  1:24 ` ericonr
  2020-07-30  1:33 ` cinerea0
                   ` (5 subsequent siblings)
  6 siblings, 0 replies; 8+ messages in thread
From: ericonr @ 2020-07-30  1:24 UTC (permalink / raw)
  To: ml


[-- Attachment #1: Type: text/plain, Size: 286 bytes --]

New comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/pull/23937#issuecomment-666020817

Comment:
I'm not sure this is a great idea, because someone might have kernels 5.4 and 5.7 installed at the same time, and want to have wireguard in both.

^ permalink raw reply	[flat|nested] 8+ messages in thread

* Re: [WIP] wireguard-dkms: Attempt to prevent install on linux>=5.6
  2020-07-30  1:05 [PR PATCH] [WIP] wireguard-dkms: Attempt to prevent install on linux>=5.6 cinerea0
  2020-07-30  1:24 ` ericonr
@ 2020-07-30  1:33 ` cinerea0
  2020-07-30  2:15 ` sgn
                   ` (4 subsequent siblings)
  6 siblings, 0 replies; 8+ messages in thread
From: cinerea0 @ 2020-07-30  1:33 UTC (permalink / raw)
  To: ml


[-- Attachment #1: Type: text/plain, Size: 346 bytes --]

New comment by cinerea0 on void-packages repository

https://github.com/void-linux/void-packages/pull/23937#issuecomment-666023882

Comment:
Ah, that makes sense. In that case, is there no way to communicate that `wireguard-dkms` is unnecessary in recent kernel versions besides the short description? Would an `INSTALL.msg` file be appropriate?

^ permalink raw reply	[flat|nested] 8+ messages in thread

* Re: [WIP] wireguard-dkms: Attempt to prevent install on linux>=5.6
  2020-07-30  1:05 [PR PATCH] [WIP] wireguard-dkms: Attempt to prevent install on linux>=5.6 cinerea0
  2020-07-30  1:24 ` ericonr
  2020-07-30  1:33 ` cinerea0
@ 2020-07-30  2:15 ` sgn
  2020-07-30  2:20 ` ericonr
                   ` (3 subsequent siblings)
  6 siblings, 0 replies; 8+ messages in thread
From: sgn @ 2020-07-30  2:15 UTC (permalink / raw)
  To: ml


[-- Attachment #1: Type: text/plain, Size: 162 bytes --]

New comment by sgn on void-packages repository

https://github.com/void-linux/void-packages/pull/23937#issuecomment-666041183

Comment:
`conflicts` is incorrect.

^ permalink raw reply	[flat|nested] 8+ messages in thread

* Re: [WIP] wireguard-dkms: Attempt to prevent install on linux>=5.6
  2020-07-30  1:05 [PR PATCH] [WIP] wireguard-dkms: Attempt to prevent install on linux>=5.6 cinerea0
                   ` (2 preceding siblings ...)
  2020-07-30  2:15 ` sgn
@ 2020-07-30  2:20 ` ericonr
  2020-07-30  2:26 ` cinerea0
                   ` (2 subsequent siblings)
  6 siblings, 0 replies; 8+ messages in thread
From: ericonr @ 2020-07-30  2:20 UTC (permalink / raw)
  To: ml


[-- Attachment #1: Type: text/plain, Size: 312 bytes --]

New comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/pull/23937#issuecomment-666043144

Comment:
I feel like the short desc is a better place to be seen than an INSTALL.msg. Don't think DKMS has some way of disabling certain modules for certain versions of the kernel.

^ permalink raw reply	[flat|nested] 8+ messages in thread

* Re: [WIP] wireguard-dkms: Attempt to prevent install on linux>=5.6
  2020-07-30  1:05 [PR PATCH] [WIP] wireguard-dkms: Attempt to prevent install on linux>=5.6 cinerea0
                   ` (3 preceding siblings ...)
  2020-07-30  2:20 ` ericonr
@ 2020-07-30  2:26 ` cinerea0
  2020-07-30  2:26 ` [PR PATCH] [Closed]: " cinerea0
  2020-07-30 20:04 ` ericonr
  6 siblings, 0 replies; 8+ messages in thread
From: cinerea0 @ 2020-07-30  2:26 UTC (permalink / raw)
  To: ml


[-- Attachment #1: Type: text/plain, Size: 206 bytes --]

New comment by cinerea0 on void-packages repository

https://github.com/void-linux/void-packages/pull/23937#issuecomment-666045993

Comment:
Understood, it's best to leave it as-is. I'll close this PR now.

^ permalink raw reply	[flat|nested] 8+ messages in thread

* Re: [PR PATCH] [Closed]: [WIP] wireguard-dkms: Attempt to prevent install on linux>=5.6
  2020-07-30  1:05 [PR PATCH] [WIP] wireguard-dkms: Attempt to prevent install on linux>=5.6 cinerea0
                   ` (4 preceding siblings ...)
  2020-07-30  2:26 ` cinerea0
@ 2020-07-30  2:26 ` cinerea0
  2020-07-30 20:04 ` ericonr
  6 siblings, 0 replies; 8+ messages in thread
From: cinerea0 @ 2020-07-30  2:26 UTC (permalink / raw)
  To: ml


[-- Attachment #1: Type: text/plain, Size: 583 bytes --]

There's a closed pull request on the void-packages repository

[WIP] wireguard-dkms: Attempt to prevent install on linux>=5.6
https://github.com/void-linux/void-packages/pull/23937

Description:
In [a recent issue I opened](https://github.com/void-linux/void-packages/issues/23790), I brought up that it was confusing whether or not wireguard-dkms was needed. The package's description now states that it's only for kernel versions 5.5 and lower, but I'd like to outright prevent someone from trying to install it on a kernel where it's not necessary. This is my attempt to do that.

^ permalink raw reply	[flat|nested] 8+ messages in thread

* Re: [WIP] wireguard-dkms: Attempt to prevent install on linux>=5.6
  2020-07-30  1:05 [PR PATCH] [WIP] wireguard-dkms: Attempt to prevent install on linux>=5.6 cinerea0
                   ` (5 preceding siblings ...)
  2020-07-30  2:26 ` [PR PATCH] [Closed]: " cinerea0
@ 2020-07-30 20:04 ` ericonr
  6 siblings, 0 replies; 8+ messages in thread
From: ericonr @ 2020-07-30 20:04 UTC (permalink / raw)
  To: ml


[-- Attachment #1: Type: text/plain, Size: 332 bytes --]

New comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/pull/23937#issuecomment-666655585

Comment:
@cinerea0 DKMS was trying to solve this problem themselves in https://github.com/dell/dkms/pull/122

That particular attempt completely broke DKMS, but perhaps they can figure something ou!

^ permalink raw reply	[flat|nested] 8+ messages in thread

end of thread, back to index

Thread overview: 8+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2020-07-30  1:05 [PR PATCH] [WIP] wireguard-dkms: Attempt to prevent install on linux>=5.6 cinerea0
2020-07-30  1:24 ` ericonr
2020-07-30  1:33 ` cinerea0
2020-07-30  2:15 ` sgn
2020-07-30  2:20 ` ericonr
2020-07-30  2:26 ` cinerea0
2020-07-30  2:26 ` [PR PATCH] [Closed]: " cinerea0
2020-07-30 20:04 ` ericonr

Github messages for voidlinux

Archives are clonable: git clone --mirror http://inbox.vuxu.org/voidlinux-github

Example config snippet for mirrors

Newsgroup available over NNTP:
	nntp://inbox.vuxu.org/vuxu.github.voidlinux


AGPL code for this site: git clone https://public-inbox.org/public-inbox.git